# azure.mgmt.iotcentral.operations module

class `azure.mgmt.iotcentral.operations.``AppsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AppsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API. Constant value: “2018-09-01”.

  `check_name_availability`(name, type='IoTApps', custom_headers=None, raw=False, **operation_config)

    Check if an IoT Central application name is available.

    Parameters:

    - name (str) – The name of the IoT Central application instance to check.
    - type (str) – The type of the IoT Central resource to query.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AppAvailabilityInfo or ClientRawResponse if raw=true
    Return type: | AppAvailabilityInfo or ClientRawResponse
    Raises: | `ErrorDetailsException`

  `check_subdomain_availability`(name, type='IoTApps', custom_headers=None, raw=False, **operation_config)

    Check if an IoT Central application subdomain is available.

    Parameters:

    - name (str) – The name of the IoT Central application instance to check.
    - type (str) – The type of the IoT Central resource to query.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AppAvailabilityInfo or ClientRawResponse if raw=true
    Return type: | AppAvailabilityInfo or ClientRawResponse
    Raises: | `ErrorDetailsException`

  `create_or_update`(resource_group_name, resource_name, app, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update the metadata of an IoT Central application. The usual pattern to modify a property is to retrieve the IoT Central application metadata and security metadata, and then combine them with the modified values in a new body to update the IoT Central application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the IoT Central application.
    - resource_name (str) – The ARM resource name of the IoT Central application.
    - app (App) – The IoT Central application metadata and security metadata.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns App or ClientRawResponse<App> if raw==True
    Return type: | AzureOperationPoller[App] or AzureOperationPoller[ClientRawResponse[App]]
    Raises: | `ErrorDetailsException`

  `delete`(resource_group_name, resource_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete an IoT Central application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the IoT Central application.
    - resource_name (str) – The ARM resource name of the IoT Central application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorDetailsException`

  `get`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Get the metadata of an IoT Central application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the IoT Central application.
    - resource_name (str) – The ARM resource name of the IoT Central application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | App or ClientRawResponse if raw=true
    Return type: | App or ClientRawResponse
    Raises: | `ErrorDetailsException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get all the IoT Central Applications in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the IoT Central application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of App
    Return type: | AppPaged[App]
    Raises: | `ErrorDetailsException`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Get all IoT Central Applications in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of App
    Return type: | AppPaged[App]
    Raises: | `ErrorDetailsException`

  `list_templates`(custom_headers=None, raw=False, **operation_config)

    Get all available application templates.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AppTemplate
    Return type: | AppTemplatePaged[AppTemplate]
    Raises: | `ErrorDetailsException`

  `update`(resource_group_name, resource_name, app_patch, custom_headers=None, raw=False, polling=True, **operation_config)

    Update the metadata of an IoT Central application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the IoT Central application.
    - resource_name (str) – The ARM resource name of the IoT Central application.
    - app_patch (AppPatch) – The IoT Central application metadata and security metadata.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns App or ClientRawResponse<App> if raw==True
    Return type: | AzureOperationPoller[App] or AzureOperationPoller[ClientRawResponse[App]]
    Raises: | `ErrorDetailsException`

  `models` = <module 'azure.mgmt.iotcentral.models' from '/usr/lib/python3/dist-packages/azure/mgmt/iotcentral/models/__init__.py'>

class `azure.mgmt.iotcentral.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API. Constant value: “2018-09-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available IoT Central application REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorDetailsException`

  `models` = <module 'azure.mgmt.iotcentral.models' from '/usr/lib/python3/dist-packages/azure/mgmt/iotcentral/models/__init__.py'>